Subject: Re: bug#12923: 24.2; epa-file--find-file-not-found-function: Opening input file: Can't decrypt, Exit

From: Oleksandr Gavenko <[email-masked]>
Date: Tue, 20 Nov 2012 20:11:26 +0200

On 2012-11-20, Daiki Ueno wrote:

> Oleksandr Gavenko <[email-masked]> writes:
>
>> When I try open any .gpg files I get error:
>
> Correction: "open existing, not encrypted .gpg files"
>
Yes!

>> Root of issue come from Emacs call:
>>
>>   $ gpg "--no-tty" "--status-fd" "1" "--yes" "--enable-progress-filter" \
>>   "--command-fd" "0" "--output" "/tmp/epg-output3999nru" \
>>   "--decrypt" "--" "/home/user/.gnupg/pubring.gpg"
>
>> So this error occur on opening files with '.gpg' extension.
>
> So what do you want instead?  I think you get a similar error when
> opening a .tar.gz file which is not a gzip compressed tar archive.
>
> If you want to edit the binary contents, you can use M-x
> find-file-literally.  If you want to browse your keyring, you can use
> M-x epa-list-keys.

My point that this file created by:

  $ gpg --version
  gpg (GnuPG) 1.4.12

from Debian distribution and I don't take .gpg extension to them personally
(this do gpg privately without my knowledge):

  $ ls ~/.gnupg/*.gpg
  /home/user/.gnupg/pubring.gpg
  /home/user/.gnupg/secring.gpg
  /home/user/.gnupg/trustdb.gpg

So Emacs break some usual convention used by gpg about .gpg extension...

  $ file /home/user/.gnupg/pubring.gpg
  /home/user/.gnupg/pubring.gpg: GPG key public ring

I expect that Emacs open this file in any case (ever if it doesn't support
some "standard" .gpg format - open it literary as fall back!).

-- 
Best regards!